Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.nortel.soa.oi.cct.types
Enum TerminalState

    java.lang.Object
      java.lang.Enum<TerminalState>
          com.nortel.soa.oi.cct.types.TerminalState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TerminalState>

    public enum TerminalState

extends java.lang.Enum<TerminalState>

Java class for terminalState.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="terminalState">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="ENABLE"/>
         <enumeration value="DISABLE"/>
         <enumeration value="PENDING"/>
         <enumeration value="DISABLE_PENDING"/>
         <enumeration value="DEFAULT"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`DEFAULT`
`DISABLE`
`DISABLE_PENDING`
`ENABLE`
`PENDING`

Method Summary
`static TerminalState` | `fromValue(java.lang.String v)`
`java.lang.String` | `value()`
`static TerminalState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TerminalState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ENABLE

    public static final TerminalState ENABLE

### DISABLE

    public static final TerminalState DISABLE

### PENDING

    public static final TerminalState PENDING

### DISABLE_PENDING

    public static final TerminalState DISABLE_PENDING

### DEFAULT

    public static final TerminalState DEFAULT

Method Detail

### values

    public static TerminalState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TerminalState c : TerminalState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TerminalState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### value

    public java.lang.String value()

### fromValue

    public static TerminalState fromValue(java.lang.String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 All Rights Reserved.